Debian Bug report logs - #555960
Udev: Nic Interface rename at boot time

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Giuseppe <giuseppe@isistemisti.it>

Date: Thu, 12 Nov 2009 21:48:05 UTC

Severity: normal

Tags: patch

Merged with 414287

Found in versions udev/0.125-7+lenny3, udev/146-5

Fixed in version udev/151-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#555960; Package udev. (Thu, 12 Nov 2009 21:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe <giuseppe@isistemisti.it>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 12 Nov 2009 21:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Giuseppe <giuseppe@isistemisti.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Udev: Nic Interface rename at boot time
Date: Thu, 12 Nov 2009 23:36:10 +0100
Package: udev
Version: 146-5
Severity: normal

Udev: Ogni volta che riavvio il server una delle 8 interfacce di rete gigabit viene rinominata.
La rigenerazione del file 70-persistent-net.rules non ha portato a nulla


-- Package-specific info:
-- /etc/udev/rules.d/:
/etc/udev/rules.d/:
total 8
-rw-r--r-- 1 root root  606 Oct 26 16:53 70-persistent-cd.rules
-rw-r--r-- 1 root root 1757 Nov 10 09:49 70-persistent-net.rules

-- /sys/:
/sys/dev
/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3/dev
/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input4/event4/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-0:1.0/usb_endpoint/usbdev2.1_ep81/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.0/0003:046B:FF10.0002/hidraw/hidraw1/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.0/input/input1/event1/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.0/usb_endpoint/usbdev2.3_ep81/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.1/0003:046B:FF10.0003/hidraw/hidraw2/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.1/input/input2/event2/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.1/input/input2/js0/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.1/input/input2/mouse0/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.1/usb_endpoint/usbdev2.3_ep82/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/usb_device/usbdev2.3/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/2-3/usb_endpoint/usbdev2.3_ep00/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/usb_device/usbdev2.1/dev
/sys/devices/pci0000:00/0000:00:02.0/usb2/usb_endpoint/usbdev2.1_ep00/dev
/sys/devices/pci0000:00/0000:00:02.1/usb1/1-0:1.0/usb_endpoint/usbdev1.1_ep81/dev
/sys/devices/pci0000:00/0000:00:02.1/usb1/dev
/sys/devices/pci0000:00/0000:00:02.1/usb1/usb_device/usbdev1.1/dev
/sys/devices/pci0000:00/0000:00:02.1/usb1/usb_endpoint/usbdev1.1_ep00/dev
/sys/devices/pci0000:00/0000:00:06.0/ide0/0.0/block/hda/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/bsg/sas_host0/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/port-0:0/end_device-0:0/bsg/end_device-0:0/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/port-0:0/end_device-0:0/target0:0:0/0:0:0:0/bsg/0:0:0:0/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/port-0:1/end_device-0:1/bsg/end_device-0:1/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/port-0:1/end_device-0:1/target0:0:1/0:0:1:0/bsg/0:0:1:0/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/target0:1:2/0:1:2:0/block/sda/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/target0:1:2/0:1:2:0/block/sda/sda1/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/target0:1:2/0:1:2:0/block/sda/sda2/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/target0:1:2/0:1:2:0/block/sda/sda5/dev
/sys/devices/pci0000:80/0000:80:11.0/0000:86:02.0/host0/target0:1:2/0:1:2:0/bsg/0:1:2:0/dev
/sys/devices/platform/pcspkr/input/input5/event5/dev
/sys/devices/platform/serial8250/tty/ttyS1/dev
/sys/devices/platform/serial8250/tty/ttyS2/dev
/sys/devices/platform/serial8250/tty/ttyS3/dev
/sys/devices/pnp0/00:02/rtc/rtc0/dev
/sys/devices/pnp0/00:05/tty/ttyS0/dev
/sys/devices/virtual/block/loop0/dev
/sys/devices/virtual/block/loop1/dev
/sys/devices/virtual/block/loop2/dev
/sys/devices/virtual/block/loop3/dev
/sys/devices/virtual/block/loop4/dev
/sys/devices/virtual/block/loop5/dev
/sys/devices/virtual/block/loop6/dev
/sys/devices/virtual/block/loop7/dev
/sys/devices/virtual/block/ram0/dev
/sys/devices/virtual/block/ram1/dev
/sys/devices/virtual/block/ram10/dev
/sys/devices/virtual/block/ram11/dev
/sys/devices/virtual/block/ram12/dev
/sys/devices/virtual/block/ram13/dev
/sys/devices/virtual/block/ram14/dev
/sys/devices/virtual/block/ram15/dev
/sys/devices/virtual/block/ram2/dev
/sys/devices/virtual/block/ram3/dev
/sys/devices/virtual/block/ram4/dev
/sys/devices/virtual/block/ram5/dev
/sys/devices/virtual/block/ram6/dev
/sys/devices/virtual/block/ram7/dev
/sys/devices/virtual/block/ram8/dev
/sys/devices/virtual/block/ram9/dev
/sys/devices/virtual/input/mice/dev
/sys/devices/virtual/mem/full/dev
/sys/devices/virtual/mem/kmem/dev
/sys/devices/virtual/mem/kmsg/dev
/sys/devices/virtual/mem/mem/dev
/sys/devices/virtual/mem/null/dev
/sys/devices/virtual/mem/port/dev
/sys/devices/virtual/mem/random/dev
/sys/devices/virtual/mem/urandom/dev
/sys/devices/virtual/mem/zero/dev
/sys/devices/virtual/misc/cpu_dma_latency/dev
/sys/devices/virtual/misc/hpet/dev
/sys/devices/virtual/misc/network_latency/dev
/sys/devices/virtual/misc/network_throughput/dev
/sys/devices/virtual/misc/psaux/dev
/sys/devices/virtual/misc/snapshot/dev
/sys/devices/virtual/misc/tun/dev
/sys/devices/virtual/sound/timer/dev
/sys/devices/virtual/tty/console/dev
/sys/devices/virtual/tty/ptmx/dev
/sys/devices/virtual/tty/tty/dev
/sys/devices/virtual/tty/tty0/dev
/sys/devices/virtual/tty/tty1/dev
/sys/devices/virtual/tty/tty10/dev
/sys/devices/virtual/tty/tty11/dev
/sys/devices/virtual/tty/tty12/dev
/sys/devices/virtual/tty/tty13/dev
/sys/devices/virtual/tty/tty14/dev
/sys/devices/virtual/tty/tty15/dev
/sys/devices/virtual/tty/tty16/dev
/sys/devices/virtual/tty/tty17/dev
/sys/devices/virtual/tty/tty18/dev
/sys/devices/virtual/tty/tty19/dev
/sys/devices/virtual/tty/tty2/dev
/sys/devices/virtual/tty/tty20/dev
/sys/devices/virtual/tty/tty21/dev
/sys/devices/virtual/tty/tty22/dev
/sys/devices/virtual/tty/tty23/dev
/sys/devices/virtual/tty/tty24/dev
/sys/devices/virtual/tty/tty25/dev
/sys/devices/virtual/tty/tty26/dev
/sys/devices/virtual/tty/tty27/dev
/sys/devices/virtual/tty/tty28/dev
/sys/devices/virtual/tty/tty29/dev
/sys/devices/virtual/tty/tty3/dev
/sys/devices/virtual/tty/tty30/dev
/sys/devices/virtual/tty/tty31/dev
/sys/devices/virtual/tty/tty32/dev
/sys/devices/virtual/tty/tty33/dev
/sys/devices/virtual/tty/tty34/dev
/sys/devices/virtual/tty/tty35/dev
/sys/devices/virtual/tty/tty36/dev
/sys/devices/virtual/tty/tty37/dev
/sys/devices/virtual/tty/tty38/dev
/sys/devices/virtual/tty/tty39/dev
/sys/devices/virtual/tty/tty4/dev
/sys/devices/virtual/tty/tty40/dev
/sys/devices/virtual/tty/tty41/dev
/sys/devices/virtual/tty/tty42/dev
/sys/devices/virtual/tty/tty43/dev
/sys/devices/virtual/tty/tty44/dev
/sys/devices/virtual/tty/tty45/dev
/sys/devices/virtual/tty/tty46/dev
/sys/devices/virtual/tty/tty47/dev
/sys/devices/virtual/tty/tty48/dev
/sys/devices/virtual/tty/tty49/dev
/sys/devices/virtual/tty/tty5/dev
/sys/devices/virtual/tty/tty50/dev
/sys/devices/virtual/tty/tty51/dev
/sys/devices/virtual/tty/tty52/dev
/sys/devices/virtual/tty/tty53/dev
/sys/devices/virtual/tty/tty54/dev
/sys/devices/virtual/tty/tty55/dev
/sys/devices/virtual/tty/tty56/dev
/sys/devices/virtual/tty/tty57/dev
/sys/devices/virtual/tty/tty58/dev
/sys/devices/virtual/tty/tty59/dev
/sys/devices/virtual/tty/tty6/dev
/sys/devices/virtual/tty/tty60/dev
/sys/devices/virtual/tty/tty61/dev
/sys/devices/virtual/tty/tty62/dev
/sys/devices/virtual/tty/tty63/dev
/sys/devices/virtual/tty/tty7/dev
/sys/devices/virtual/tty/tty8/dev
/sys/devices/virtual/tty/tty9/dev
/sys/devices/virtual/vc/vcs/dev
/sys/devices/virtual/vc/vcs1/dev
/sys/devices/virtual/vc/vcs2/dev
/sys/devices/virtual/vc/vcs3/dev
/sys/devices/virtual/vc/vcs4/dev
/sys/devices/virtual/vc/vcs5/dev
/sys/devices/virtual/vc/vcs6/dev
/sys/devices/virtual/vc/vcsa/dev
/sys/devices/virtual/vc/vcsa1/dev
/sys/devices/virtual/vc/vcsa2/dev
/sys/devices/virtual/vc/vcsa3/dev
/sys/devices/virtual/vc/vcsa4/dev
/sys/devices/virtual/vc/vcsa5/dev
/sys/devices/virtual/vc/vcsa6/dev

-- Kernel configuration:


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]        1.5.28      Debian configuration management sy
ii  libc6                        2.10.1-5    GNU C Library: Shared libraries
ii  libselinux1                  2.0.87-3    SELinux runtime shared libraries
ii  libusb-0.1-4                 2:0.1.12-13 userspace USB programming library
ii  lsb-base                     3.2-23      Linux Standard Base 3.2 init scrip
ii  util-linux                   2.16.1-4    Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.4-2  Linux PCI Utilities
ii  usbutils                      0.86-2     Linux USB utilities

udev suggests no packages.

-- debconf information:
  udev/new_kernel_needed: false
  udev/reboot_needed:




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#555960; Package udev. (Thu, 12 Nov 2009 21:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 12 Nov 2009 21:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 555960@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Giuseppe <giuseppe@isistemisti.it>, 555960@bugs.debian.org
Subject: Re: Bug#555960: Udev: Nic Interface rename at boot time
Date: Thu, 12 Nov 2009 22:56:46 +0100
[Message part 1 (text/plain, inline)]
On Nov 12, Giuseppe <giuseppe@isistemisti.it> wrote:

> Udev: Ogni volta che riavvio il server una delle 8 interfacce di rete gigabit viene rinominata.
> La rigenerazione del file 70-persistent-net.rules non ha portato a nulla
Please report the content of the 70-persistent-net.rules file after
multiple reboots.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#555960; Package udev. (Thu, 12 Nov 2009 22:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Giuseppe" <giuseppe@isistemisti.it>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 12 Nov 2009 22:27:09 GMT) Full text and rfc822 format available.

Message #15 received at 555960@bugs.debian.org (full text, mbox):

From: "Giuseppe" <giuseppe@isistemisti.it>
To: "'Marco d'Itri'" <md@Linux.IT>, <555960@bugs.debian.org>
Subject: Re: Bug#555960: Udev: Nic Interface rename at boot time
Date: Thu, 12 Nov 2009 23:16:25 +0100
>Please report the content of the 70-persistent-net.rules file after
multiple reboots.


This is a good file


# This file was automatically generated by the /lib/udev/write_net_rules
# program, run by the persistent-net-generator.rules rules file.
#
# You can modify it, as long as you keep each rule on a single
# line, and change only the value of the NAME= key.

# PCI device 0x8086:0x1010 (e1000)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:21:28:10:73:44", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth0"

# PCI device 0x8086:0x10bc (e1000e)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:15:17:85:69:2d", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth1"

# PCI device 0x10de:0x0057 (forcedeth)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:21:28:10:73:42", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth2"

# PCI device 0x8086:0x10bc (e1000e)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:15:17:85:69:2c", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth3"

# PCI device 0x8086:0x10bc (e1000e)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:15:17:85:69:2f", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth4"

# PCI device 0x8086:0x10bc (e1000e)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:15:17:85:69:2e", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth5"

# PCI device 0x10de:0x0057 (forcedeth)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:21:28:10:73:43", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth6"

# PCI device 0x8086:0x1010 (e1000)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:21:28:10:73:45", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth7"


# This file was automatically generated by the /lib/udev/write_net_rules
# program, run by the persistent-net-generator.rules rules file.
#
# You can modify it, as long as you keep each rule on a single
# line, and change only the value of the NAME= key.

# PCI device 0x8086:0x1010 (e1000)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:21:28:10:73:44", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth0"

# PCI device 0x8086:0x10bc (e1000e)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:15:17:85:69:2d", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth1"

# PCI device 0x10de:0x0057 (forcedeth)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:21:28:10:73:42", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth2"

# PCI device 0x8086:0x10bc (e1000e)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:15:17:85:69:2c", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth3"

# PCI device 0x8086:0x10bc (e1000e)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:15:17:85:69:2f", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth4"

# PCI device 0x8086:0x10bc (e1000e)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:15:17:85:69:2e", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth5"

# PCI device 0x10de:0x0057 (forcedeth)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:21:28:10:73:43", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth6"

# PCI device 0x8086:0x1010 (e1000)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*",
ATTR{address}=="00:21:28:10:73:45", ATTR{dev_id}=="0x0", ATTR{type}=="1",
KERNEL=="eth*", NAME="eth7"






Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#555960; Package udev. (Thu, 12 Nov 2009 22:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 12 Nov 2009 22:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 555960@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Giuseppe <giuseppe@isistemisti.it>
Cc: 555960@bugs.debian.org
Subject: Re: Bug#555960: Udev: Nic Interface rename at boot time
Date: Thu, 12 Nov 2009 23:32:31 +0100
[Message part 1 (text/plain, inline)]
On Nov 12, Giuseppe <giuseppe@isistemisti.it> wrote:

> This is a good file
So what is wrong?
Please also report the output of "ip link".

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#555960; Package udev. (Thu, 12 Nov 2009 22:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Giuseppe" <giuseppe@isistemisti.it>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 12 Nov 2009 22:39:08 GMT) Full text and rfc822 format available.

Message #25 received at 555960@bugs.debian.org (full text, mbox):

From: "Giuseppe" <giuseppe@isistemisti.it>
To: "'Marco d'Itri'" <md@Linux.IT>, <555960@bugs.debian.org>
Subject: Re: Bug#555960: Udev: Nic Interface rename at boot time
Date: Thu, 12 Nov 2009 23:33:54 +0100
Dmesg (rename interface)

[    1.850286] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.875055] 0000:07:00.0: eth4: (PCI Express:2.5GB/s:Width x4)
00:15:17:85:69:2f
[    1.875057] 0000:07:00.0: eth4: Intel(R) PRO/1000 Network Connection
[    1.875136] 0000:07:00.0: eth4: MAC: 0, PHY: 4, PBA No: d90197-003
[    1.875423] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 16
[    1.875431] e1000e 0000:07:00.1: PCI INT A -> Link[LNKD] -> GSI 16
(level, low) -> IRQ 16
[    1.875438] e1000e 0000:07:00.1: setting latency timer to 64
[    1.875539] e1000e 0000:07:00.1: irq 76 for MSI/MSI-X
[    2.051036] 0000:07:00.1: eth5: (PCI Express:2.5GB/s:Width x4)
00:15:17:85:69:2e
[    2.051038] 0000:07:00.1: eth5: Intel(R) PRO/1000 Network Connection
[    2.051115] 0000:07:00.1: eth5: MAC: 0, PHY: 4, PBA No: d90197-003
[    2.348861] forcedeth 0000:80:0a.0: ifname eth2, PHY OUI 0x5043 @ 1, addr
00:21:28:10:73:43
[    2.348864] forcedeth 0000:80:0a.0: highdma csum gbit lnktim desc-v3
[    2.349780] udev: renamed network interface eth2 to eth6
[    2.364007] ioc0: LSISAS1064 A3: Capabilities={Initiator}
[    2.430915] udev: renamed network interface eth3 to eth2
[    2.453340] udev: renamed network interface _rename to eth3
[    2.576084] hda: DW-224SL-R, ATAPI CD/DVD-ROM drive





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#555960; Package udev. (Thu, 12 Nov 2009 22:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Giuseppe" <giuseppe@isistemisti.it>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 12 Nov 2009 22:48:08 GMT) Full text and rfc822 format available.

Message #30 received at 555960@bugs.debian.org (full text, mbox):

From: "Giuseppe" <giuseppe@isistemisti.it>
To: "'Marco d'Itri'" <md@Linux.IT>
Cc: <555960@bugs.debian.org>
Subject: R: Bug#555960: Udev: Nic Interface rename at boot time
Date: Thu, 12 Nov 2009 23:40:39 +0100
>Please also report the output of "ip link".

IP LINK when all interface are correct:

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth1: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state
DOWN qlen 1000
    link/ether 00:15:17:85:69:2d brd ff:ff:ff:ff:ff:ff
3: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state
UP qlen 1000
    link/ether 00:21:28:10:73:44 brd ff:ff:ff:ff:ff:ff
4: eth3: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:15:17:85:69:2c brd ff:ff:ff:ff:ff:ff
5: eth2: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:21:28:10:73:42 brd ff:ff:ff:ff:ff:ff
6: eth4: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:15:17:85:69:2f brd ff:ff:ff:ff:ff:ff
7: eth5: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:15:17:85:69:2e brd ff:ff:ff:ff:ff:ff
8: eth6: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state
UNKNOWN qlen 1000
    link/ether 00:21:28:10:73:43 brd ff:ff:ff:ff:ff:ff
9: eth7: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state
UP qlen 1000
    link/ether 00:21:28:10:73:45 brd ff:ff:ff:ff:ff:ff
10: tun0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1500 qdisc
pfifo_fast state UNKNOWN qlen 100
    link/[65534]



IP LINK when there is a rename:

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth1: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state
DOWN qlen 1000
    link/ether 00:15:17:85:69:2d brd ff:ff:ff:ff:ff:ff
3: _rename: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:21:28:10:73:44 brd ff:ff:ff:ff:ff:ff
4: eth3: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:15:17:85:69:2c brd ff:ff:ff:ff:ff:ff
5: eth2: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:21:28:10:73:42 brd ff:ff:ff:ff:ff:ff
6: eth4: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:15:17:85:69:2f brd ff:ff:ff:ff:ff:ff
7: eth5: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:15:17:85:69:2e brd ff:ff:ff:ff:ff:ff
8: eth6: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state
UNKNOWN qlen 1000
    link/ether 00:21:28:10:73:43 brd ff:ff:ff:ff:ff:ff
9: eth7: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state
UP qlen 1000
    link/ether 00:21:28:10:73:45 brd ff:ff:ff:ff:ff:ff
10: tun0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1500 qdisc
pfifo_fast state UNKNOWN qlen 100
    link/[65534]





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#555960; Package udev. (Tue, 24 Nov 2009 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Kamichoff <prox@prolixium.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 24 Nov 2009 23:42:03 GMT) Full text and rfc822 format available.

Message #35 received at 555960@bugs.debian.org (full text, mbox):

From: Mark Kamichoff <prox@prolixium.com>
To: Giuseppe <giuseppe@isistemisti.it>, Marco d'Itri <md@Linux.IT>
Cc: 555960@bugs.debian.org
Subject: Re: Bug#555960: Udev: Nic Interface rename at boot time
Date: Tue, 24 Nov 2009 17:59:34 -0500
Hi - 

I'm seeing the same issue with 146-5 here, too:

ip link right after system boots up:

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth2: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:27:19:cd:2c:bd brd ff:ff:ff:ff:ff:ff
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast
state UNKNOWN qlen 1000
    link/ether 00:1a:70:14:f8:05 brd ff:ff:ff:ff:ff:ff
4: _rename: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:30:f1:1f:a0:2c brd ff:ff:ff:ff:ff:ff
5: sit0: <NOARP> mtu 1480 qdisc noop state DOWN 
    link/sit 0.0.0.0 brd 0.0.0.0
6: sit3: <POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1280 qdisc noqueue state UNKNOWN 
    link/sit 0.0.0.0 peer 10.3.254.3
7: sit2: <POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1280 qdisc noqueue state UNKNOWN 
    link/sit 0.0.0.0 peer 10.3.254.6
8: sit1: <POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1280 qdisc noqueue state UNKNOWN 
    link/sit 0.0.0.0 peer 10.3.254.28
9: tun0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1456 qdisc pfifo_fast state UNKNOWN qlen 100
    link/[65534] 
10: tun1: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1456 qdisc pfifo_fast state UNKNOWN qlen 100
    link/[65534] 
11: tun2: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1456 qdisc pfifo_fast state UNKNOWN qlen 100
    link/[65534] 

ip link after reloading 8139too module (only way to fix it):

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth2: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:27:19:cd:2c:bd brd ff:ff:ff:ff:ff:ff
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether 00:1a:70:14:f8:05 brd ff:ff:ff:ff:ff:ff
5: sit0: <NOARP> mtu 1480 qdisc noop state DOWN 
    link/sit 0.0.0.0 brd 0.0.0.0
6: sit3: <POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1280 qdisc noqueue state UNKNOWN 
    link/sit 0.0.0.0 peer 10.3.254.3
7: sit2: <POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1280 qdisc noqueue state UNKNOWN 
    link/sit 0.0.0.0 peer 10.3.254.6
8: sit1: <POINTOPOINT,NOARP,UP,LOWER_UP> mtu 1280 qdisc noqueue state UNKNOWN 
    link/sit 0.0.0.0 peer 10.3.254.28
12: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether 00:30:f1:1f:a0:2c brd ff:ff:ff:ff:ff:ff
13: tun0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1456 qdisc pfifo_fast state UNKNOWN qlen 100
    link/[65534] 
14: tun1: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1456 qdisc pfifo_fast state UNKNOWN qlen 100
    link/[65534] 
15: tun2: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1456 qdisc pfifo_fast state UNKNOWN qlen 100
    link/[65534] 

Here's the contents of my /etc/udev/rules.d/70-persistent-net.rules:

# This file was automatically generated by the /lib/udev/write_net_rules
# program, probably run by the persistent-net-generator.rules rules
# file.
#
# You can modify it, as long as you keep each rule on a single line.

# PCI device 0x1317:0x0985 (tulip)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:1a:70:14:f8:05", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth1"

# PCI device 0x10ec:0x8169 (r8169)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:27:19:cd:2c:bd", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth2"

# PCI device 0x1113:0x1211 (8139too)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:30:f1:1f:a0:2c", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth0"

I've tried removing the 8139too/eth0 line from 70-persistent-net.rules
but it keeps regenerating it, yet I never get an eth0 after a reboot,
only a "_rename" interface.

- Mark

-- 
Mark Kamichoff
prox@prolixium.com
http://www.prolixium.com/




Forcibly Merged 414287 555960. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Sat, 06 Feb 2010 01:57:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Mar 2010 07:36:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:21:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.